# Generated by Django 4.2.6 on 2024-06-02 05:20

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('suppliers', '0004_alter_supplier_sid'),
        ('colors', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Coil',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('coil_number', models.CharField(max_length=50, unique=True)),
                ('gauge', models.CharField(blank=True, choices=[('G30', 'G30'), ('G28', 'G28')], max_length=10, null=True)),
                ('finish', models.CharField(choices=[('matte', 'Matte'), ('glossy', 'Glossy')], default='matte', max_length=20)),
                ('gross_weight', models.DecimalField(decimal_places=3, max_digits=10, validators=[django.core.validators.MinValueValidator(0)])),
                ('net_weight', models.DecimalField(decimal_places=3, max_digits=10, validators=[django.core.validators.MinValueValidator(0)])),
                ('meters', models.DecimalField(decimal_places=2, max_digits=10, validators=[django.core.validators.MinValueValidator(0)])),
                ('meters_used', models.CharField(blank=True, max_length=50, null=True)),
                ('status', models.CharField(choices=[('Available', 'Available'), ('Finished', 'Finished'), ('Blocked', 'Blocked')], default='Available', max_length=20)),
                ('is_allocated', models.BooleanField(default=False)),
                ('is_blocked', models.BooleanField(default=False)),
                ('block_reason', models.TextField(blank=True, default='')),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('added_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
                ('color', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='colors.color')),
                ('supplier', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='suppliers.supplier')),
            ],
        ),
    ]
